| Version: 3.3.1

Public Member Functions | List of all members
wxDataSchemeFSHandler Class Reference

`#include <wx/fs_data.h>`

Inheritance diagram for wxDataSchemeFSHandler:
[legend]

## Detailed Description

File system handler for "data" URI scheme (RFC 2397).

URI syntax: `"data:[<mediatype>][;base64],<data>"`.

The handler makes the data, included (encoded) into URI, available for components that use the wxFileSystem infrastructure.

To make available for usage it should be registered somewhere within an initialization procedure:

wxFileSystem::AddHandler(new wxDataSchemeFSHandler);
wxDataSchemeFSHandler
File system handler for "data" URI scheme (RFC 2397).
Definition: fs_data.h:28
wxFileSystem::AddHandler
static void AddHandler(wxFileSystemHandler *handler)
This static function adds a new handler into the list of handlers which provide access to virtual FS.

Since
  3.3.0

## Public Member Functions
| wxDataSchemeFSHandler ()
Public Member Functions inherited from wxFileSystemHandler
| wxFileSystemHandler ()
| Constructor. More...
virtual bool | CanOpen (const wxString &location)=0
| Returns true if the handler is able to open this file. More...
virtual wxString | FindFirst (const wxString &wildcard, int flags=0)
| Works like wxFindFirstFile(). More...
virtual wxString | FindNext ()
| Returns next filename that matches parameters passed to wxFileSystem::FindFirst. More...
virtual wxFSFile * | OpenFile (wxFileSystem &fs, const wxString &location)=0
| Opens the file and returns wxFSFile pointer or nullptr if failed. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to nullptr the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=nullptr, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Static Public Member Functions inherited from wxFileSystemHandler
static wxString | GetMimeTypeFromExt (const wxString &location)
| Returns the MIME type based on extension of location. More...
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Static Protected Member Functions inherited from wxFileSystemHandler
static wxString | GetAnchor (const wxString &location)
| Returns the anchor if present in the location. More...
static wxString | GetLeftLocation (const wxString &location)
| Returns the left location string extracted from location. More...
static wxString | GetProtocol (const wxString &location)
| Returns the protocol string extracted from location. More...
static wxString | GetRightLocation (const wxString &location)
| Returns the right location string extracted from location. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxDataSchemeFSHandler()

wxDataSchemeFSHandler::wxDataSchemeFSHandler | ( |  | ) |